Bug 1793558 - xastir-2.1.4-3.fc32 FTBFS: /usr/bin/ld: db.o:/home/test/fedora/xastir/Xastir-Release-2.1.4/src/xa_config.h:34: multiple definition of `xa_config_dir'; color.o:/home/test/fedora/xastir/Xastir-Release-2.1.4/src/xa_config.h:34: first defined hereT [NEEDINFO]
Summary: xastir-2.1.4-3.fc32 FTBFS: /usr/bin/ld: db.o:/home/test/fedora/xastir/Xastir-...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: xastir
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lucian Langa
QA Contact: Fedora Extras Quality Assurance
URL: https://gcc.gnu.org/gcc-10/changes.html
Whiteboard:
Depends On:
Blocks: F32FTBFS GCC10
TreeView+ depends on / blocked
 
Reported: 2020-01-21 14:57 UTC by Petr Pisar
Modified: 2020-03-29 09:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-29 09:10:28 UTC
Type: Bug
releng: needinfo? (lucilanga)


Attachments (Terms of Use)

Description Petr Pisar 2020-01-21 14:57:03 UTC
xastir-2.1.4-3.fc32 fails to build in F32:

make[3]: Entering directory '/home/test/fedora/xastir/Xastir-Release-2.1.4/src'
rm -f compiledate.c compiledate.o
echo 'char gitstring[] = "'"`../scripts/XastirGitStamp.sh ..`"'";' >> compiledate.c
  CC       compiledate.o
  GEN      xastir
/usr/bin/ld: db.o:/home/test/fedora/xastir/Xastir-Release-2.1.4/src/xa_config.h:34: multiple definition of `xa_config_dir'; color.o:/home/test/fedora/xastir/Xastir-Release-2.1.4/src/xa_config.h:34: first defined here
[...]
collect2: error: ld returned 1 exit status
make[3]: *** [Makefile:553: xastir] Error 1
make[3]: Leaving directory '/home/test/fedora/xastir/Xastir-Release-2.1.4/src'

This is triggered by a change in GCC 10.

Comment 1 Ben Cotton 2020-02-11 17:29:55 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.

Comment 2 Fedora Release Engineering 2020-02-16 04:23:14 UTC
Dear Maintainer,

your package has not been built successfully in 32. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
will be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 33 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 31 will be
retired regardless of the status of this bug.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/33/Schedule

Comment 3 Fedora Release Engineering 2020-03-01 04:22:52 UTC
Dear Maintainer,

your package has not been built successfully in 32. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
will be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 33 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 31 will be
retired regardless of the status of this bug.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/33/Schedule

Comment 4 Fedora Release Engineering 2020-03-08 04:22:58 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 32.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (that's on 2020-03-17).

A week before the mass branching of Fedora 33 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 31 will be
retired regardless of the status of this bug.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-33/f-33-key-tasks.html

Comment 5 Fedora Release Engineering 2020-03-29 04:23:00 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 32.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (that's on 2020-03-17).

A week before the mass branching of Fedora 33 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 31 will be
retired regardless of the status of this bug.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-33/f-33-key-tasks.html

Comment 6 Miro Hrončok 2020-03-29 09:10:28 UTC
The following builds were made after this report was opened: xastir-2.1.4-5.fc32 xastir-2.1.4-6.fc32


Note You need to log in before you can comment on or make changes to this bug.